Non partono varie applicazioni

13 posts / 0 new
Ultimo contenuto
Ritratto di pabform
Offline
Iscritto: 17/02/2014 - 13:15
Non partono varie applicazioni

Salve ragazzi e complimenti per il nuovo look, strepitoso direi..

o sono alle prese con un un tedioso problema che non riesco a risolvere malgrado le mie ricerche relative all'argomento che ho effettuato.

Non ho la possibilità, improvvisamente, o perlomeno in un momento in cui non usavo pclos da un po' di tempo, all'apertura noto subito che diverse applicazioni non "ingranano", ad esempio vlc, che ho posizionato come applikcazione preferenziale nel caso di tutte le applicazioni video,  aggiungendolo nelle ,associazioni dei file, in modo che partisse per primo. Ma non parte, nemmeno per ultimo (battuta scarsa). Vado per vedere cosa dice il terminale ma neppure quello parte...? Strano comportamento. Inoltre brasero e suppongo altre app che non sono stato a provare, perché penso che il problema non dipenda dalle applicazioni· Grazie a Cairo, che ho sempre fedelmente installato,  ho potuto riavviare il terminale che, diglitando vlc presenta questo messaggio:

[paolo@paolo ~]$ vlc
VLC media player 2.2.4 Weatherwax (revision 2.2.3-37-g888b7e89)
[0000000001956118] core libvlc: Esecuzione di vlc con l'interfaccia predefinita. Usa 'cvlc' per utilizzare vlc senza interfaccia.
[0000000001a6cbb8] core interface error: corrupt module: /usr/lib64/vlc/plugins/gui/libqt4_plugin.so
[00007f16a0029728] core generic error: corrupt module: /usr/lib64/vlc/plugins/gui/libqt4_plugin.so
[0000000001a6cbb8] skins2 interface error: no suitable dialogs provider found (hint: compile the qt4 plugin, and make sure it is loaded properly)
[0000000001a6cbb8] skins2 interface error: cannot instantiate qt4 dialogs provider
[0000000001a6cbb8] [cli] lua interface: Listening on host "*console".
VLC media player 2.2.4 Weatherwax
Command Line Interface initialized. Type `help' for help.

Adesso resta da capire com'è che in allcuni casi si impianta con messaggi simili, mentre  in altri no, per niente.

Come sempre confido nella vostra intelligenza e collaborazione, augurando a tutti buona vita Biggrin .

 

.

Ritratto di adrianomorselli
Offline
Iscritto: 02/01/2015 - 12:20

Da terminale come user: apt-cache whatprovides libqt4_plugin.so

<vlc-2.2....etc.>

provides: < libqt4_plugin.so>

Scusa sono ancora su 32bit quindi non posso essere più preciso con la versione attuale, ma il comando da terminale sopra ti può aiutare.

Reinstalla vlc e magari fai un upgrade totale #apt-get update & apt-get upgrade

Trattasi di una corruzione dei dati, tu stesso dici che è un pò di tempo che non usi pclos e quindi è molto tempo che non fai un update del sistema, se ci metti pure il caldo dei giorni scorsi niente di più facile. Controllerei anche lo stato di salute dei tuoi hd, non vorrei che fosse un campanello di allarme Shok

Ritratto di dxgiusti
Offline
Iscritto: 22/01/2013 - 17:30

chee distribuzione ( kde4, kde5, mate, xfce, ecc. ) hai?

Ritratto di pabform
Offline
Iscritto: 17/02/2014 - 13:15

Il terminale risponde ciò che hai scritto te: <libqt4_plugin.so>
  nothing provides <libqt4_plugin.so>

Adesso reinstallo vlc e vedo. L'update e upgrade è insolitamente corto:

[root@paolo paolo]# apt-get update
Lettura della lista di pacchetti... Done
Calcolo dell'albero delle dipendenze... Done
[root@paolo paolo]# apt-get upgrade
Lettura della lista di pacchetti... Done
Calcolo dell'albero delle dipendenze... Done
0 upgraded, 0 newly installed, 0 removed and 0 not upgraded.
[root@paolo paolo]# 

Praticamente non esegue alcuna operazione, mi sembra, è normale una cosa del genere o devo cominciare a pensare ad una certa vecchiaia dell'hard disk?

 

 

Ritratto di pabform
Offline
Iscritto: 17/02/2014 - 13:15

È sicuramente un kde, ma non so se  4  o  5

Ritratto di pabform
Offline
Iscritto: 17/02/2014 - 13:15

  Ho provato ad installarlo direttamente da repository  ma dopo averlo disinstallato, per poi reinstallarlo non mi è stato più possibile reinstallarlo perchè  synaptic non lo trova più, è pèossibile un'affare così? Da terminale mi dà errore, Impossibile il download, in inglese segnala "impossibile download", sicchè sono bloccato, da un lato non mi riesce di trovare un download adatto,  cercando si accede alla pagina ufficiale di vlc che,non so perchè, ma per Pclos non c'è pronto nulla., li installa direttamente per Ubuntu, Mint o Debian, e per rpm quasi tutti i SO, direttamente al repo  fornisce il codice pronto  ma non c'è tra loro pclos. In definitiva ho disinstallato vlc per reinstallarlo ma non riesco più a farlo, non si trova modo di installare una qualsivoglia versione di vlc, forse disponendo del percorso al repo corretto si potrebbe fare qualcosa,  ma non so come trovarlo, non è una ricerca facile. Quindi sono fermo qui. Rinunciare a vlc non sarebbe poi una cosa devastante per me, certo, lo doperavo per tutto quel che riguardava file audio e video, perchè a mio parere è il migliore tra i sw disponibili. 

Se non avete qualche, idea io resto qui, ma mi brucia un pochino questo fatto, non riesco a capire non una, ma diverse cose di questa faccenda... Sad

Ritratto di adrianomorselli
Offline
Iscritto: 02/01/2015 - 12:20

Se è kde4 non c'è niente da fare, tutti gli aggiornamenti sono stati bloccati per sempre, non viene più supportato da PclinuxOs.

Ritratto di adrianomorselli
Offline
Iscritto: 02/01/2015 - 12:20

nothing provides <libqt4_plugin.so>

Questo la dice lunga, significa che non c'è più vlc e che non c'è più il repositories. Ipotizzo che sei su kde4. Non riceverai più aggiornamenti e non esiste neppure una sezione kde, è vuota. Se vuoi reinstallare vlc e mantenere così freezata pclinuxos senza reinstallare puoi andare qui https://ftp.sjtu.edu.cn/sites/www.pcilinuxos.com/pclinuxos/apt/pclinuxos...

In alternativa devi reinstallare, scegli un altro DE però

Ritratto di adrianomorselli
Offline
Iscritto: 02/01/2015 - 12:20

https://ftp.sjtu.edu.cn/sites/www.pclinuxos.com/pclinuxos/apt/pclinuxos/...

Mannaggia all'impossibilità di modificare il post!

Ritratto di pabform
Offline
Iscritto: 17/02/2014 - 13:15

Il secondo link funziona ma o sono cieco oppure vlc non c'è, ma forse intendevi mi servisse in altro modo?

Inoltre: siccome deciderò (ho già deciso) di reinstallare, mi par ovvio che la kde4 non è tra le opinabili, o no? Comunque sceglierò accuratamente.

Adesso comunque mi spiegp la totale assenza di attività nell'update / upgrade, ...non esiste più. Adesso vado a dare una buona occhiata alle cose più recenti, sicuramente c'è qualcosa di carino.

Ritratto di adrianomorselli
Offline
Iscritto: 02/01/2015 - 12:20

Sì vlc non c'è,  ma poichè è oramai basato sulle qt5 non ti sarebbe comunque possibile installarlo, ti romperebbe tutto il sistema senza rimedio. Trova altro  ad esempio l'ultima mate di textar è veramente fatta bene

Ritratto di pabform
Offline
Iscritto: 17/02/2014 - 13:15

Quindi ho tagliato la testa al toro: ho installato l'ultimo kde, mo0lto bello e funzionale, i programmi utili sono già  presenti quasi tutti.

Ma io devo complicarmi la vita, tuttavia. Un po' è colpa di pclos, che non riconosce la password. Tra le altre cose in fase di installazione il nome dell'user non me lo ha ciesto, mi ha chiesto solo la pwd, infatti mi era sembrata strana la cosa, ero tentato di lasciare bianca la password, per evitare eventuali problemi che invece si sono puntualmente presentati. Insomma, per entrare ho dovuto tornare alla riga di commando iniziale, e loggarmi come root, poi ho usato startx per entrare, tutto liscio, e ho cominciato l'avventura. Adesso, prima di dover vivere come root tutto il tempo, ho tentato in tutti i modi a ricordare i passaggi per resettare, ora anche da terminale, la pwd, ma non ho potuto neppure andare a vedere su internet come si fa, per rinfrescarmi la memoria, ma non è stato possibile: non puoi accedere a internet come root, il messaggio è chiaro: uscire dalla modalità root. Perciò ho usato tutti i modi che conosco per effettuare il passaggio senza dover tornare alla stuazione precedente, ovvero come utente normale, avrei fatto tutto subito da lì, anche se ero in modalità root, digitando exit (metodo che ho sempre usato) avrei dovuto uscire e tornare user, ma invece così non era, si spegneva il terminale, invece di uscire da root per rientrare subito. Quindi spegnendosi il terminale, ma non uscando dalla mmodalità root, che persisteva, ho dovuto tornare alla situazione primaria, al momento dell'installazione. Comunque adesso sono fuori, su debian, e prima di rientrare da root (dal momento che altrimenti non so fare. Quindi ho bisogno di sapere come resettare la psw senza rifare l'installazione, per poter usare chrome normalmente, non come root . In tutto sto casino chi è che ha capito qualcosa? Se sì è un mago, perchè ho detto tutto ma in un modo assurdo, almeno mi pare. Quindi per tornare su pclos devo reinserire il dischetto? Dovrebbe essere sufficente chiamare la riga di comando lo stesso, ....probabilmente : non lo so. Io rientrare bypassando la pswd lo so fare, ma non so farlo in altro modo, il problem è questo. Come posso rifare il procedimento della pwd, senza evitarlo proprio diventando root? Si capisce cosa mi serve, beh è ciò che non so.

Ritratto di footstep11
Offline
Iscritto: 31/01/2013 - 11:01

Quando sei entrato come root, puoi aggiungere un utente attraverso il pannello di configurazione (a quello hai detto che ci arrivi: startx da root).  Mi sembra strano che non ti abbia chiesto di creare un utente.  Da che iso hai installato? Da quella originale o da una iso ri-masterizzata? In quest'ultimo caso chi l'ha creata potrebbe avere creato un utente guest, con cui entrare e poi fare tutto.  Infine, per cambiare la password il comando e' passwd.

Ciao, Mauro